# Class ConfigurableSocketFactory

java.lang.Object
javax.net.SocketFactory
org.mariadb.jdbc.util.ConfigurableSocketFactory

public abstract class ConfigurableSocketFactory extends SocketFactory

## Constructor Summary

Constructors
Constructor
Description
`ConfigurableSocketFactory()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`setConfiguration(Options options, String host)`

### Methods inherited from class SocketFactory

`createSocket, createSocket, createSocket, createSocket, createSocket, getDefault`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConfigurableSocketFactory

public ConfigurableSocketFactory()

## Method Details

### setConfiguration

public abstract void setConfiguration(Options options, String host)